// 文件处理
export default {

	// 创建临时路径
	/*
	* 	file 文件对象
	* 	base64 是否必须转为 base64
	* */
	createdPath(file,base64 = false){

		return new Promise((resolve, reject)=>{

			if (!file || !(file instanceof File || file instanceof Blob)) reject('no have file');

			// 返回临时链接
			if (!base64 && window.URL && window.URL.createObjectURL) {
				return resolve(window.URL.createObjectURL(file));
			} else if (window.FileReader) {

				let fileReader = new window.FileReader();

				fileReader.readAsDataURL(file);

				fileReader.onload = function () {
					resolve(fileReader.result);
				};

				fileReader.onerror = function (fail) {
					reject(fail);
				}

			} else {
				reject('no support');
			}

		});

	}

}
